Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Class DefaultGraphLabelRenderer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JLabel
                      edu.uci.ics.jung.visualization.DefaultGraphLabelRenderer

All Implemented Interfaces:
  Accessible, GraphLabelRenderer, ImageObserver, MenuContainer, Serializable, SwingConstants

public class DefaultGraphLabelRenderer
extends JLabel
implements GraphLabelRenderer, Serializable

DefaultGraphLabelRenderer is similar to the cell renderers used by the JTable and JTree jfc classes.

Author:
  Tom Nelson - RABA Technologies
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JLabel
`JLabel.AccessibleJLabel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected static Border` | `noFocusBorder`
`protected Color` | `pickedEdgeLabelColor`
`protected Color` | `pickedVertexLabelColor`
`protected boolean` | `rotateEdgeLabels`

Fields inherited from class javax.swing.JLabel
`labelFor`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DefaultGraphLabelRenderer(Color pickedVertexLabelColor, Color pickedEdgeLabelColor)`
`DefaultGraphLabelRenderer(Color pickedVertexLabelColor, Color pickedEdgeLabelColor, boolean rotateEdgeLabels)` Creates a default table cell renderer.

Method Summary
`void` | `firePropertyChange(String propertyName, boolean oldValue, boolean newValue)` Overridden for performance reasons.
`protected void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)` Overridden for performance reasons.
`Component` | `getGraphLabelRendererComponent(JComponent vv, Object value, Font font, boolean isSelected, Edge edge)` Returns the default label renderer for an Edge
`Component` | `getGraphLabelRendererComponent(JComponent vv, Object value, Font font, boolean isSelected, Vertex vertex)` Returns the default label renderer for a Vertex
`boolean` | `isOpaque()` Overridden for performance reasons.
`boolean` | `isRotateEdgeLabels()`
`void` | `repaint(long tm, int x, int y, int width, int height)` Overridden for performance reasons.
`void` | `repaint(Rectangle r)` Overridden for performance reasons.
`void` | `revalidate()` Overridden for performance reasons.
`void` | `setBackground(Color c)` Overrides `JComponent.setBackground` to assign the unselected-background color to the specified color.
`void` | `setForeground(Color c)` Overrides `JComponent.setForeground` to assign the unselected-foreground color to the specified color.
`void` | `setRotateEdgeLabels(boolean rotateEdgeLabels)`
`protected void` | `setValue(Object value)` Sets the `String` object for the cell being rendered to `value`.
`void` | `updateUI()` Notification from the `UIManager` that the look and feel [L&F] has changed.
`void` | `validate()` Overridden for performance reasons.

Methods inherited from class javax.swing.JLabel
`checkHorizontalKey, checkVerticalKey, getAccessibleContext, getDisabledIcon, getDisplayedMnemonic, getDisplayedMnemonicIndex, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getIconTextGap, getLabelFor, getText, getUI, getUIClassID, getVerticalAlignment, getVerticalTextPosition, imageUpdate, paramString, setDisabledIcon, setDisplayedMnemonic, setDisplayedMnemonic, setDisplayedMnemonicIndex, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setIconTextGap, setLabelFor, setText, setUI, setVerticalAlignment, setVerticalTextPosition`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### noFocusBorder

    protected static Border noFocusBorder

### pickedVertexLabelColor

    protected Color pickedVertexLabelColor

### pickedEdgeLabelColor

    protected Color pickedEdgeLabelColor

### rotateEdgeLabels

    protected boolean rotateEdgeLabels

Constructor Detail

### DefaultGraphLabelRenderer

    public DefaultGraphLabelRenderer(Color pickedVertexLabelColor,
                                     Color pickedEdgeLabelColor)

### DefaultGraphLabelRenderer

    public DefaultGraphLabelRenderer(Color pickedVertexLabelColor,
                                     Color pickedEdgeLabelColor,
                                     boolean rotateEdgeLabels)

  Creates a default table cell renderer.

Method Detail

### isRotateEdgeLabels

    public boolean isRotateEdgeLabels()

  Specified by:
    `isRotateEdgeLabels` in interface `GraphLabelRenderer`
  Returns:
    Returns the rotateEdgeLabels.

### setRotateEdgeLabels

    public void setRotateEdgeLabels(boolean rotateEdgeLabels)

  Specified by:
    `setRotateEdgeLabels` in interface `GraphLabelRenderer`
  Parameters:
    `rotateEdgeLabels` - The rotateEdgeLabels to set.

### setForeground

    public void setForeground(Color c)

  Overrides `JComponent.setForeground` to assign the unselected-foreground color to the specified color.

  Parameters:
    `c` - set the foreground color to this value

### setBackground

    public void setBackground(Color c)

  Overrides `JComponent.setBackground` to assign the unselected-background color to the specified color.

  Parameters:
    `c` - set the background color to this value

### updateUI

    public void updateUI()

  Notification from the `UIManager` that the look and feel [L&F] has changed. Replaces the current UI object with the latest version from the `UIManager`.

  See Also:
    `JComponent.updateUI()`

### getGraphLabelRendererComponent

    public Component getGraphLabelRendererComponent(JComponent vv,
                                                    Object value,
                                                    Font font,
                                                    boolean isSelected,
                                                    Vertex vertex)

  Returns the default label renderer for a Vertex

  Specified by:
    `getGraphLabelRendererComponent` in interface `GraphLabelRenderer`
  Parameters:
    `vv` - the `VisualizationViewer` to render on
    `value` - the value to assign to the label for `Vertex`
    `vertex` - the `Vertex`
  Returns:
    the default label renderer

### getGraphLabelRendererComponent

    public Component getGraphLabelRendererComponent(JComponent vv,
                                                    Object value,
                                                    Font font,
                                                    boolean isSelected,
                                                    Edge edge)

  Returns the default label renderer for an Edge

  Specified by:
    `getGraphLabelRendererComponent` in interface `GraphLabelRenderer`
  Parameters:
    `vv` - the `VisualizationViewer` to render on
    `value` - the value to assign to the label for `Edge`
    `edge` - the `Edge`
  Returns:
    the default label renderer

### isOpaque

    public boolean isOpaque()

  Overridden for performance reasons. See the Implementation Note for more information.

### validate

    public void validate()

  Overridden for performance reasons. See the Implementation Note for more information.

### revalidate

    public void revalidate()

  Overridden for performance reasons. See the Implementation Note for more information.

### repaint

    public void repaint(long tm,
                        int x,
                        int y,
                        int width,
                        int height)

  Overridden for performance reasons. See the Implementation Note for more information.

### repaint

    public void repaint(Rectangle r)

  Overridden for performance reasons. See the Implementation Note for more information.

### firePropertyChange

    protected void firePropertyChange(String propertyName,
                                      Object oldValue,
                                      Object newValue)

  Overridden for performance reasons. See the Implementation Note for more information.

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   boolean oldValue,
                                   boolean newValue)

  Overridden for performance reasons. See the Implementation Note for more information.

### setValue

    protected void setValue(Object value)

  Sets the `String` object for the cell being rendered to `value`.

  Parameters:
    `value` - the string value for this cell; if value is `null` it sets the text value to an empty string
  See Also:
    `JLabel.setText(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD